package hk.advanpro.android.sdk.algorithm.belt;

import hk.advanpro.android.sdk.device.result.ble.belt.BLEBeltRealSensorEventResult;

/**
 * 呼吸带呼吸算法库
 * Created by jalin on 2017/7/3.
 */
public class BLEBeltBreathAnalyzer {
    private long inst;
    private boolean enable;

    public BLEBeltBreathAnalyzer() {
    }

    public void init() throws Exception {
        enable = true;
        BLEBeltAlg.SmartBelt_TMdlInitInfo info = new BLEBeltAlg.SmartBelt_TMdlInitInfo();
        this.inst = BLEBeltAlg.InitDataProcMdl(info);
    }

    /**
     * 输入数据
     * @param node BLEBeltRealSensorEventResult
     * @return 输入数据
     */
    public boolean push(BLEBeltRealSensorEventResult node) {
        boolean ret = false;
        BLEBeltAlg.SmartBelt_Data arg1 = new BLEBeltAlg.SmartBelt_Data();
        BLEBeltAlg.SmartBelt_TSBreathWaveData arg2 = new BLEBeltAlg.SmartBelt_TSBreathWaveData();
        arg1.SPktTime.setDate(node.getDataTime());
        arg1.daFbrSnsrData = node.getSensorData();
        arg1.daAccXData = node.getAccXData();
        arg1.daAccYData = node.getAccYData();
        arg1.daAccZData = node.getAccZData();
        arg1.iAccRange = node.getAccRange();
        int ec = BLEBeltAlg.SendBreathDataToDataProcMdl(inst, arg1, arg2); // 发送
        if (ec == BLEBeltAlg.ErrorCode_Success) {
            ret = true;
        }
        return ret;
    }


    /**
     * 输出数据
     * 校准呼吸波形和呼吸统计数据
     * @return 校准呼吸波形和呼吸统计数据
     */
    public BLEBeltAlg.SmartBelt_TSBreathStats poll() {
        BLEBeltAlg.SmartBelt_TSBreathStats statBreath = new BLEBeltAlg.SmartBelt_TSBreathStats();
        int ret = BLEBeltAlg.RcvBreathStatsFrmDataProcMdl(inst, statBreath); // 接收
        if (ret != BLEBeltAlg.ErrorCode_Success) {
            statBreath = null;
        }
        return statBreath;
    }

    /**
     * 退出处理并释放初始化时所申请的资源
     * @throws Exception  Exception
     */
    public void exit() throws Exception {
        BLEBeltAlg.ExitDataProcMdl(inst);
        enable = false;
    }

    public boolean isEnable() {
        return enable;
    }
}
