package hk.advanpro.android.sdk.device.callback;

import hk.advanpro.android.sdk.device.Device;
import hk.advanpro.android.sdk.device.DeviceManager;
import hk.advanpro.android.sdk.device.result.BatchDeviceConnectResult;

/**
 * 批量设备连接回调
 * Created by jalin on 2017/11/20.
 */

public interface BatchDeviceConnectCallback<T extends BatchDeviceConnectResult> {

    //当扫描设备成功，自动初始化设备回调
    void onCreated(DeviceManager.DeviceConnection deviceConnection, Device device);

    //连接设备成功设备回调
    void onConnectSuccess(DeviceManager.DeviceConnection deviceConnection, Device device);

    //结束并返回结果
    void onFinish(T result);

    //报错
    void onError(DeviceCallbackException e);
}
