package hk.advanpro.android.sdk.device.callback;

import org.apache.commons.lang3.ArrayUtils;

import static hk.advanpro.android.sdk.device.Device.*;

/**
 * Created by yejianfei on 2017/6/10.
 */

public class DeviceCallbackException extends Exception {

    private int code;

    public static String getMessage(int code) {
        String message = "";
        switch (code) {
            case ERROR_ALREADY_CONNECTED:
                message = "ALREADY_CONNECTED";
                break;
            case ERROR_IS_DISCONNECTED:
                message = "IS_DISCONNECTED";
                break;
            case ERROR_SERVICE_NOT_EXISTS:
                message = "SERVICE_NOT_EXISTS";
                break;
            case ERROR_CHARACTERISTIC_NOT_EXISTS:
                message = "CHARACTERISTIC_NOT_EXISTS";
                break;
            case ERROR_FUNCTION_NOT_SUPPORT:
                message = "FUNCTION_NOT_SUPPORT";
                break;
            case ERROR_LAST_COMMAND_NOT_DONE:
                message = "LAST_COMMAND_NOT_DONE";
                break;
            case ERROR_IS_TIME_OUT:
                message = "IS_TIME_OUT";
                break;
            case ERROR_ALREADY_UPGRADE:
                message = "ALREADY_UPGRADE";
                break;
            case ERROR_UPGRADE_FILE_NOT_EXISTS:
                message = "UPGRADE_FILE_NOT_EXISTS";
                break;
            case ERROR_UPGRADE_OTHER_ERROR:
                message = "UPGRADE_ERROR";
                break;
            case ERROR_SERVICE_DISCOVERY_TIMEOUT:
                message = "SERVICE_DISCOVERY_TIMEOUT";
                break;
        }
        return message;
    }

    public DeviceCallbackException(int code, String... message) {
        super(String.format("code:%d,message:%s,%s", code, getMessage(code), ArrayUtils.toString(message, ",")));
        this.code = code;
    }

    public DeviceCallbackException(int code) {
        super(String.format("code:%d,message:%s", code, getMessage(code)));
        this.code = code;
    }

    public int getCode() {
        return code;
    }

    @Override
    public synchronized Throwable getCause() {
        return super.getCause();
    }

    public DeviceCallbackException(Throwable throwable) {
        super(throwable);
    }

}
