package hk.advanpro.android.sdk.device.callback;

import hk.advanpro.android.sdk.device.result.DeviceScanResult;

/**
 * 低耗功蓝牙设备扫描回调接口。
 * Created by jalin on 2017/6/7.
 */

public abstract class DeviceManagerScanFilterCallback<T extends DeviceScanResult> implements DeviceManagerScanCallback<T> {

    @Override
    final public void onScanning(T result) {
        if (onFilter(result)) {
            onFilterScanning(result);
        }
    }

    /**
     * 筛选 DeviceScanResult
     *
     * @param result DeviceScanResult
     * @return 筛选成功返回 true ,失败 false
     */
    public abstract boolean onFilter(T result);

    /**
     * 搜索到设备
     *
     * @param result 通过过滤的设备
     */
    public abstract void onFilterScanning(T result);
}
