package hk.advanpro.android.sdk.device.callback;


import android.os.Handler;
import android.os.Looper;
import android.os.Message;

import hk.advanpro.android.sdk.device.Device;
import hk.advanpro.android.sdk.device.result.DeviceEventResult;

/**
 * 用于设备数据推送的主线程回调接口
 * 可以直接在回调中更新UI
 * Created by jalin on 2017/7/10.
 */
public abstract class MainThreadDeviceEventCallback<T extends DeviceEventResult> implements DeviceEventCallback<T> {

    private final static Handler handler = new Handler(Looper.getMainLooper()) {
        @Override
        public void handleMessage(Message msg) {
            super.handleMessage(msg);
        }
    };

    @Override
    public void onData(final Device device, final T data) {
        handler.post(new Runnable() {
            @Override
            public void run() {
                onMainThreadData(device, data);
            }
        });
    }


    public abstract void onMainThreadData(Device device, T data);

}
