package hk.advanpro.android.sdk.device.callback;

import hk.advanpro.android.core.utils.UIUtils;
import hk.advanpro.android.sdk.device.result.DeviceScanResult;

/**
 * 低耗功蓝牙设备扫描回调接口。
 * Created by yejianfei on 2017/6/7.
 */

public abstract class MainThreadDeviceManagerScanCallback<T extends DeviceScanResult> implements DeviceManagerScanCallback {


    protected abstract void onMainThreadScanning(T result);

    protected abstract void onMainThreadStop();

    protected abstract void onMainThreadError(DeviceCallbackException error);

    @Override
    public void onScanning(final DeviceScanResult result) {

        UIUtils.runOnUiThread(new Runnable() {
            @Override
            public void run() {
                onMainThreadScanning((T) result);
            }
        });
    }

    @Override
    public void onStop() {

        UIUtils.runOnUiThread(new Runnable() {
            @Override
            public void run() {
                onMainThreadStop();
            }
        });
    }

    @Override
    public void onError(final DeviceCallbackException error) {

        UIUtils.runOnUiThread(new Runnable() {
            @Override
            public void run() {
                onMainThreadError(error);
            }
        });
    }
}
