package hk.advanpro.android.sdk.device.ota.csr;

import java.util.ArrayList;

/**
 * Created by zeng on 2016/11/29.
 * 固件升级配置信息
 */

public class Config {
    public final static int UpgradeMethodUnknown = 0;
    public final static int UpgradeMethod1 = 1;
    public final static int UpgradeMethod2 = 2;
    public final static int UpgradeMethod3 = 3;
    public final static int UpgradeMethod4 = 4;

    public final static int ConfirmationMethodUnknown = 0;
    public final static int ConfirmationMethod1 = 1;
    public final static int ConfirmationMethod2 = 2;
    public final static int ConfirmationMethod3 = 3;
    public final static int ConfirmationMethod4 = 4;
    private static ArrayList<CskeyItem> cskeyList;
    private static String userkey0;
    private static String userkey1;
    
    public static void setCskeyList(ArrayList<CskeyItem> cskeyList) {
        Config.cskeyList = cskeyList;
    }
    
    public static ArrayList<CskeyItem> loadCskeyList() {
        if (cskeyList == null) {
            cskeyList = new ArrayList<>();
            cskeyList.add(new CskeyItem("bdaddr", 1, 1, 3));
            cskeyList.add(new CskeyItem("crystal_ftrim", 2, 4, 1));
            cskeyList.add(new CskeyItem("user_keys", 4, 8, 8));
            cskeyList.add(new CskeyItem("identity_root", 17, 30, 8));
            cskeyList.add(new CskeyItem("encryption_root", 18, 38, 8));
        }        
        return cskeyList;
    }
    
    public static int getUpgradeBehaviour() {
        //userkey0 = 0x04
        return Integer.parseInt("4", 16);
    }

    public static int getConfirmationMethod() {
        //userkey1 = 0x01
        return Integer.parseInt("1", 16);
    }

    /**
     * The class provides implementations for all of the callbacks in the SAX2 handler classes The XMl formatter like:
     * @param userkey0 16进制的字符串，如0x04，则userkey0 = "4"
     */
    public static void setUserkey0(String userkey0) {
        Config.userkey0 = userkey0;
    }
    
    public static void setUserkey1(String userkey1) {
        Config.userkey1 = userkey1;
    }
}
