package hk.advanpro.android.sdk.device.params.ble.belt;

import java.util.Calendar;
import java.util.Date;

import hk.advanpro.android.sdk.device.params.DeviceCommandParams;
import static hk.advanpro.android.sdk.device.protocol.BLEBeltProtocol.buildNotifyStepCommand;

/**
 * Created by yejianfei on 2017/6/27.
 */

public class BLEBeltNotifyStepCommandParams implements DeviceCommandParams {

    private boolean enable;

    public BLEBeltNotifyStepCommandParams(boolean enable) {
        this.enable = enable;
    }

    public boolean isEnable() {
        return enable;
    }

    @Override
    public byte[] toBytes() {
        Calendar calendar = Calendar.getInstance();

        return buildNotifyStepCommand(
                (short) calendar.get(Calendar.YEAR),
                (short) (calendar.get(Calendar.MONTH) + 1),
                (short) calendar.get(Calendar.DATE),
                (short) calendar.get(Calendar.HOUR_OF_DAY),
                (short) calendar.get(Calendar.MINUTE),
                (short) calendar.get(Calendar.SECOND),
                isEnable() ? (short) 0x01 : (short) 0x00
        );
    }


}
