package hk.advanpro.android.sdk.device.params.ble.belt;

import java.util.Calendar;
import java.util.Date;

import hk.advanpro.android.sdk.device.params.DeviceCommandParams;
import hk.advanpro.android.sdk.device.protocol.BLEBeltProtocol;

/**
 * Created by yejianfei on 2017/6/26.
 */

public class BLEBeltSectionStepCommandParams implements DeviceCommandParams {
    private Date date;

    private int begin;

    private int size;

    public BLEBeltSectionStepCommandParams(Date date, int begin, int size) {
        this.date = date;
        this.begin = begin;
        this.size = size;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public int getBegin() {
        return begin;
    }

    public void setBegin(short begin) {
        this.begin = begin;
    }

    public int getSize() {
        return size;
    }

    public void setSize(short size) {
        this.size = size;
    }

    @Override
    public byte[] toBytes() {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(this.date);

        return BLEBeltProtocol.buildSectionStepCommand(
                (short) calendar.get(Calendar.YEAR),
                (short) (calendar.get(Calendar.MONTH) + 1),
                (short) calendar.get(Calendar.DATE),
                (short) (getBegin() - 1 + getSize()),
                (short) getSize()
        );
    }
}
