package hk.advanpro.android.sdk.device.params.ble.belt;

import java.util.Calendar;
import java.util.Date;

import hk.advanpro.android.sdk.device.params.DeviceCommandParams;
import hk.advanpro.android.sdk.device.protocol.BLEBeltProtocol;

/**
 * Created by yejianfei on 2017/6/23.
 */

public class BLEBeltStepCommandParams implements DeviceCommandParams {

    private Date last;

    public BLEBeltStepCommandParams(Date last) {
        this.last = last;
    }
    public Date getLast() {
        return last;
    }

    @Override
    public byte[] toBytes() {
        Calendar calendar = Calendar.getInstance();
        Calendar lastCalendar = Calendar.getInstance();
        lastCalendar.setTime(getLast());

        return BLEBeltProtocol.buildStepCommand(
                (short) calendar.get(Calendar.YEAR),
                (short) (calendar.get(Calendar.MONTH) + 1),
                (short) calendar.get(Calendar.DATE),
                (short) calendar.get(Calendar.HOUR_OF_DAY),
                (short) calendar.get(Calendar.MINUTE),
                (short) calendar.get(Calendar.SECOND),
                (short) lastCalendar.get(Calendar.DATE),
                (short) lastCalendar.get(Calendar.HOUR_OF_DAY)
        );
    }
}
