package hk.advanpro.android.sdk.device.params.ble.belt;

import java.util.Calendar;

import hk.advanpro.android.sdk.device.params.DeviceCommandParams;

import static hk.advanpro.android.sdk.device.protocol.BLEBeltProtocol.buildStorageStartCommand;

/**
 * Created by yejianfei on 2017/6/27.
 */

public class BLEBeltStorageStartCommandParams implements DeviceCommandParams {

    private short duration;

    public BLEBeltStorageStartCommandParams(){

    }

    /**
     * 开始存储
     *
     * @param duration 存储时间长（单位分钟）
     */
    public BLEBeltStorageStartCommandParams(short duration) {
        this.duration = duration;
    }

    public short getDuration() {
        return duration;
    }

    @Override
    public byte[] toBytes() {
        Calendar calendar = Calendar.getInstance();

        return buildStorageStartCommand(
                (short) calendar.get(Calendar.YEAR),
                (short) (calendar.get(Calendar.MONTH) + 1),
                (short) calendar.get(Calendar.DATE),
                (short) calendar.get(Calendar.HOUR_OF_DAY),
                (short) calendar.get(Calendar.MINUTE),
                (short) calendar.get(Calendar.SECOND),
                getDuration()
        );
    }

    public void setDuration(short duration) {
        this.duration = duration;
    }
}
