package hk.advanpro.android.sdk.device.params.ble.insole;

import java.util.Calendar;
import java.util.Date;

import hk.advanpro.android.sdk.device.params.DeviceCommandParams;
import hk.advanpro.android.sdk.device.protocol.BLEInsoleProtocol;

/**
 * Created by yejianfei on 2017/6/10.
 */

public class BLEInsoleHistoryStepCommandParams implements DeviceCommandParams {

    private Date date;

    public BLEInsoleHistoryStepCommandParams(Date date) {
        this.date = date;
    }

    public Date getDate() {
        return date;
    }

    @Override
    public byte[] toBytes() {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(this.date);

        return BLEInsoleProtocol.buildHistoryStepCommand(
                calendar.get(Calendar.YEAR), calendar.get(Calendar.MONTH) + 1, calendar.get(Calendar.DATE));
    }
}
