package hk.advanpro.android.sdk.device.params.ble.insole;

import java.util.Calendar;
import java.util.Date;

import hk.advanpro.android.sdk.device.params.DeviceCommandParams;
import hk.advanpro.android.sdk.device.protocol.BLEInsoleProtocol;

/**
 * Created by yejianfei on 2017/6/12.
 */

public class BLEInsoleRawGaitCommandParams implements DeviceCommandParams {

    private Date date;

    private int begin;

    private int size;

    public BLEInsoleRawGaitCommandParams(Date date, int begin, int size) {
        this.date = date;
        this.begin = begin;
        this.size = size;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public int getBegin() {
        return begin;
    }

    public void setBegin(short begin) {
        this.begin = begin;
    }

    public int getSize() {
        return size;
    }

    public void setSize(short size) {
        this.size = size;
    }

    @Override
    public byte[] toBytes() {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(this.date);

        return BLEInsoleProtocol.buildRawGaitCommand(
                calendar.get(Calendar.YEAR),
                calendar.get(Calendar.MONTH) + 1,
                calendar.get(Calendar.DATE),
                (short) (getBegin() - 1 + getSize()),
                (short) getSize()
        );
    }
}
