package hk.advanpro.android.sdk.device.params.ble.insole;

import java.util.Calendar;
import java.util.Date;

import hk.advanpro.android.sdk.device.params.DeviceCommandParams;
import hk.advanpro.android.sdk.device.protocol.BLEInsoleProtocol;

/**
 * Created by yejianfei on 2017/6/12.
 */

public class BLEInsoleStopSendCommandParams implements DeviceCommandParams {

    private Date date;

    private int last;

    public BLEInsoleStopSendCommandParams(Date date, int last) {
        this.date = date;
        this.last = last;
    }

    public Date getDate() {
        return date;
    }

    public int getLast() {
        return last;
    }

    @Override
    public byte[] toBytes() {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(getDate());

        return BLEInsoleProtocol.buildStopSendCommand(
                calendar.get(Calendar.YEAR),
                calendar.get(Calendar.MONTH) + 1,
                calendar.get(Calendar.DATE),
                getLast()
        );
    }
}
