package hk.advanpro.android.sdk.device.params.ble.insole;

import java.util.Calendar;
import java.util.Date;

import hk.advanpro.android.sdk.device.params.DeviceCommandParams;
import hk.advanpro.android.sdk.device.protocol.BLEInsoleProtocol;

/**
 * Created by yejianfei on 2017/6/12.
 */

public class BLEInsoleSyncTimeCommandParams implements DeviceCommandParams {

    private Date date;

    public BLEInsoleSyncTimeCommandParams(Date date) {
        this.date = date;
    }

    public Date getDate() {
        return date;
    }

    @Override
    public byte[] toBytes() {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(getDate());

        return BLEInsoleProtocol.buildSyncTimeCommand(
                calendar.get(Calendar.YEAR),
                calendar.get(Calendar.MONTH) + 1,
                calendar.get(Calendar.DATE),
                calendar.get(Calendar.HOUR_OF_DAY),
                calendar.get(Calendar.MINUTE),
                calendar.get(Calendar.SECOND)
        );
    }
}
