package hk.advanpro.android.sdk.device.params.ble.pi;


import org.apache.commons.lang3.StringUtils;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

import hk.advanpro.android.sdk.commons.ALog;
import hk.advanpro.android.sdk.device.params.DeviceCommandParams;

/**
 * Created by yejianfei on 2017/7/4.
 */

public class BLEAdvanproPiCommandParams implements DeviceCommandParams {

    private short number;

    private String key;

    protected List<String> params = new ArrayList<>();

    public BLEAdvanproPiCommandParams(Map<String, String> params) {
        for (String k : params.keySet()) {
            this.params.add(String.format("%s=%s", k, params.get(k)));
        }
    }

    public BLEAdvanproPiCommandParams(String... params) {
        this.params.addAll(Arrays.asList(params));
    }

    public void setCmdNumber(short number) {
        this.number = number;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public List<String> getParams() {
        return params;
    }

    @Override
    public byte[] toBytes() {
        StringBuffer sb = new StringBuffer(String.valueOf(number))
                .append(" ")
                .append(key)
                .append(" ")
                .append(StringUtils.join(this.getParams().toArray(), " "))
                .append("\n");

        ALog.d("BLEAdvanproPiDevice", "send：" + sb.toString());
        return sb.toString().getBytes();
    }
}
