package hk.advanpro.android.sdk.device.params.ble.pi;

/**
 * 作者：jalin on 2018/1/2 19:36
 * 邮箱：zhouxiaolin@advanpro.com
 */

public class BLEAdvanproPiStartParams extends BLEAdvanproPiCommandParams {

    private String fileName;
    private String time;
    private int duration;
    private String mode;// 模式

    /**
     * 启动参数设置
     *
     * @param fileName 文件名称  例如：xxxx.txt
     * @param time     当前时间， 精确到秒， 格式：ymdhms， 例如 20170616140832
     */
    public BLEAdvanproPiStartParams(String fileName, String time) {
        this.fileName = fileName;
        this.time = time;
        params.add("f=" + fileName);
        params.add("t=" + time);
    }

    public void put(String key, String value) {
        params.add(key + "=" + value);
    }

    /**
     * 采集持续时间， 单位为秒,例如3600
     *
     * @param duration 采集时间
     */
    public void setDuration(int duration) {
        this.duration = duration;
        params.add("d=" + duration);
    }


    public void setMode(String mode) {
        this.mode = mode;
        params.add("m=" + mode);
    }

    public int getDuration() {
        return duration;
    }

    public String getFileName() {
        return fileName;
    }

    public String getTime() {
        return time;
    }

    public String getMode() {
        return mode;
    }
}
