package hk.advanpro.android.sdk.device.result.ble;

import java.util.List;

import hk.advanpro.android.sdk.device.Device;
import hk.advanpro.android.sdk.device.DeviceManager;
import hk.advanpro.android.sdk.device.result.BatchDeviceConnectResult;

/**
 * 蓝牙批量连接回调
 * Created by jalin on 2017/11/20.
 */

public class BLEBatchDeviceConnectResult implements BatchDeviceConnectResult {
    private int totalCount;
    private int createdCount;
    private int connectCount;
    private List<ConnectResult> connectResultList;

    public static class ConnectResult {
        private DeviceManager.DeviceConnection connection;
        private Device device;
        private boolean isConnect;
        private Exception exception;


        public Device getDevice() {
            return device;
        }

        public DeviceManager.DeviceConnection getConnection() {
            return connection;
        }

        public Exception getException() {
            return exception;
        }

        public boolean isConnect() {
            return isConnect;
        }

        public boolean isCreated() {
            return device != null;
        }

        public void setConnect(boolean connect) {
            isConnect = connect;
        }

        public void setConnection(DeviceManager.DeviceConnection connection) {
            this.connection = connection;
        }

        public void setDevice(Device device) {
            this.device = device;
        }

        public void setException(Exception exception) {
            this.exception = exception;
        }
    }

    public int getConnectCount() {
        return connectCount;
    }

    public int getCreatedCount() {
        return createdCount;
    }

    public int getTotalCount() {
        return totalCount;
    }

    public List<ConnectResult> getConnectResultList() {
        return connectResultList;
    }

    public void setConnectCount(int connectCount) {
        this.connectCount = connectCount;
    }

    public void setConnectResultList(List<ConnectResult> connectResultList) {
        this.connectResultList = connectResultList;
    }

    public void setCreatedCount(int createdCount) {
        this.createdCount = createdCount;
    }

    public void setTotalCount(int totalCount) {
        this.totalCount = totalCount;
    }
}
