package hk.advanpro.android.sdk.device.result.ble;

import android.bluetooth.BluetoothGatt;

import hk.advanpro.android.sdk.device.Device;
import hk.advanpro.android.sdk.device.result.DeviceEventResult;

/**
 * Created by jalin on 2017/6/28.
 */

public class BLEConnectStateChangeResult implements DeviceEventResult {

    private Device device;
    private int connectState;
    private int gattState;

    public BLEConnectStateChangeResult(Device device, int connectState) {
        this.device = device;
        this.connectState = connectState;
    }

    public BLEConnectStateChangeResult(Device device, int connectState, int gattState) {
        this.device = device;
        this.connectState = connectState;
        this.gattState = gattState;
    }

    public Device getDevice() {
        return device;
    }

    public void setDevice(Device device) {
        this.device = device;
    }

    public int getConnectState() {
        return connectState;
    }

    public void setConnectState(int connectState) {
        this.connectState = connectState;
    }

    /**
     * connect or disconnect operation.
     *               {@link BluetoothGatt#GATT_SUCCESS} if the operation succeeds.
     * @return int
     */
    public int getGattState() {
        return gattState;
    }

    public void setGattState(int gattState) {
        this.gattState = gattState;
    }
}
