package hk.advanpro.android.sdk.device.result.ble.belt;

import java.util.Date;

import hk.advanpro.android.sdk.device.result.DeviceEventResult;

/**
 * 呼吸带，三轴及电阻
 * Created by yejianfei on 2017/6/22.
 */

public class BLEBeltRealSensorEventResult implements DeviceEventResult {

    private int accRange;
    private int range;

    private Date dataTime;
    public byte[] sensorRawData;
    public byte[] accXRawData;
    public byte[] accYRawData;
    public byte[] accZRawData;

    private double[] sensorData = new double[10];

    private double[] accXData = new double[10];

    private double[] accYData = new double[10];

    private double[] accZData = new double[10];


    /**
     * 柔性传电阻量程数据
     * @return 柔性传电阻量程数据
     */
    public int getRange() {
        return range;
    }

    public void setRange(int range) {
        this.range = range;
    }

    /**
     * 加速度量程数据
     * @return 加速度量程数据
     */
    public int getAccRange() {
        return accRange;
    }

    public void setAccRange(int accRange) {
        this.accRange = accRange;
    }

    /**
     * 接收数据的时间
     * @return 接收数据的时间
     */
    public Date getDataTime() {
        return dataTime;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    /**
     * 传感器数据，每秒钟10个
     * @return 传感器数据，每秒钟10个
     */
    public double[] getSensorData() {
        return sensorData;
    }

    public void setSensorData(double[] sensorData) {
        this.sensorData = sensorData;
    }

    /**
     * 三轴加速度数据(X)，每秒10个
     * @return 三轴加速度数据(X)，每秒10个
     */
    public double[] getAccXData() {
        return accXData;
    }

    public void setAccXData(double[] accXData) {
        this.accXData = accXData;
    }

    /**
     * 三轴加速度数据(Y)，每秒10个
     * @return 三轴加速度数据(Y)，每秒10个
     */
    public double[] getAccYData() {
        return accYData;
    }

    public void setAccYData(double[] accYData) {
        this.accYData = accYData;
    }

    /**
     * 三轴加速度数据(Z)，每秒10个
     * @return 三轴加速度数据(Z)，每秒10个
     */
    public double[] getAccZData() {
        return accZData;
    }

    public void setAccZData(double[] accZData) {
        this.accZData = accZData;
    }

    /**
     * 传感器原始数据（20Byte）
     * @return 传感器原始数据（20Byte）
     */
    public byte[] getSensorRawData() {
        return sensorRawData;
    }

    public void setSensorRawData(byte[] sensorRawData) {
        this.sensorRawData = sensorRawData;
    }

    /**
     * 三轴加速度原始数据(X)，20Byte
     * @return 三轴加速度原始数据(X)，20Byte
     */
    public byte[] getAccXRawData() {
        return accXRawData;
    }

    public void setAccXRawData(byte[] accXRawData) {
        this.accXRawData = accXRawData;
    }

    /**
     * 三轴加速度原始数据(Y)，20Byte
     * @return 三轴加速度原始数据(Y)，20Byte
     */
    public byte[] getAccYRawData() {
        return accYRawData;
    }

    public void setAccYRawData(byte[] accYRawData) {
        this.accYRawData = accYRawData;
    }

    /**
     * 三轴加速度原始数据(Z)，20Byte
     * @return 三轴加速度原始数据(Z)，20Byte
     */
    public byte[] getAccZRawData() {
        return accZRawData;
    }

    public void setAccZRawData(byte[] accZRawData) {
        this.accZRawData = accZRawData;
    }
}
