package hk.advanpro.android.sdk.device.result.ble.belt;

import java.util.Calendar;
import java.util.Date;

import hk.advanpro.android.sdk.device.result.DeviceCommandResult;

/**
 * Created by yejianfei on 2017/6/27.
 */

public class BLEBeltStorageStartCommandResult implements DeviceCommandResult {

    public static final short STORAGE_STATUS_FAILURE = 0;//执行失败；
    public static final short STORAGE_STATUS_SUCCESS = 1;//命令执行成功
    public static final short STORAGE_STATUS_HAVE_BEEN_STORAGE = 2;//当前设备本身就处于数据存储状态,后续的“存储起始时间”、“已持续时间”、“总体时长”则为当前所处存储状态的信息；
    public static final short STORAGE_STATUS_NOT_ENOUGH_STORAGE = 3;//存储空间不足，后续的“总体时长”表示当前情况下支持的最大存储时长。

    private short status;

    private short year;

    private short month;

    private short day;

    private short hour;

    private short minute;

    private short second;

    /**
     * 已持续时间(分钟)
     */
    private short durationMinute;

    /**
     * 总体时长(分钟)
     */
    private short totalMinute;

    private short code;

    public boolean isSuccess() {
        return this.getStatus() == STORAGE_STATUS_SUCCESS;
    }

    public short getStatus() {
        return status;
    }

    public void setStatus(short status) {
        this.status = status;
    }

    public short getYear() {
        return year;
    }

    public void setYear(short year) {
        this.year = year;
    }

    public short getMonth() {
        return month;
    }

    public void setMonth(short month) {
        this.month = month;
    }

    public short getDay() {
        return day;
    }

    public void setDay(short day) {
        this.day = day;
    }

    public short getHour() {
        return hour;
    }

    public void setHour(short hour) {
        this.hour = hour;
    }

    public short getMinute() {
        return minute;
    }

    public void setMinute(short minute) {
        this.minute = minute;
    }

    public short getSecond() {
        return second;
    }

    public void setSecond(short second) {
        this.second = second;
    }

    public short getDurationMinute() {
        return durationMinute;
    }

    public void setDurationMinute(short durationMinute) {
        this.durationMinute = durationMinute;
    }

    public short getTotalMinute() {
        return totalMinute;
    }

    public void setTotalMinute(short totalMinute) {
        this.totalMinute = totalMinute;
    }

    public short getCode() {
        return code;
    }

    public void setCode(short code) {
        this.code = code;
    }

    /**
     * 存储起始时间
     * @return 存储起始时间
     */
    public Date getStartDate() {
        Calendar calendar = Calendar.getInstance();
        calendar.set(Calendar.YEAR, getYear());
        calendar.set(Calendar.MONTH, getMonth() - 1);
        calendar.set(Calendar.DATE, getDay());
        calendar.set(Calendar.HOUR_OF_DAY, getHour());
        calendar.set(Calendar.MINUTE, getMinute());
        calendar.set(Calendar.SECOND, getSecond());
        calendar.set(Calendar.MILLISECOND, 0);

        return calendar.getTime();
    }

}
