package hk.advanpro.android.sdk.device.result.ble.belt;

import java.util.Date;

import hk.advanpro.android.sdk.device.result.DeviceEventResult;

/**
 * 呼吸带，呼吸分析
 * Created by jalin on 2017/7/3.
 */

public class BleBeltNotifyBreathEventResult implements DeviceEventResult {
    // 呼吸记录序号，从1开始
    private long breathSN = 1;
    // 该呼吸在呼吸波形数据序列中的前波谷索引
    private long preTroughIndex;
    // 该呼吸在呼吸波形数据序列中的波峰索引
    private long peakIndex;
    // 该呼吸在呼吸波形数据序列中的后波谷索引
    private long postTroughIndex;

    /***********Current Breath Data***************/
    // 该呼吸的吸时长
    private double inspiratoryTime;
    // 该呼吸的呼时长
    private double exspiratoryTime;
    // 该呼吸的吸呼时长比.
    private double rtoOfIns2Exs;
    // 该呼吸的持续时长(秒)
    private double brthTime;
    // 该呼吸的幅度，为容积变化百分比数值.
    private double amplitude;
    // 该呼吸的瞬时频率.
    private double instantFreq;

    // 该呼吸的起始时间
    private Date startTime;
    // 该呼吸的终止时间
    private Date endTime;
    // 该呼吸的持续时间
    private Date spanTime;

    // 该呼吸的校准波形数据
    private double[] perDataBuf;
    // 该呼吸对应的身体姿态序列, 类型参见ESleepPosture
    private int[] postureBuf;
    // 该呼吸对应的三轴数据
    private double[] accX;
    private double[] accY;
    private double[] accZ;

    /*****************************************/
    // 所有呼吸的统计信息
    // 呼吸总计数
    private long totalBrthCnt;
    // 呼吸总时间
    private double totalBrthTime;
    // 平均呼吸时长
    private double avgBrthTime;
    // 总吸时长
    private double totalInsTime;
    // 平均吸时长
    private double avgInsTime;
    // 总呼时长
    private double totalExsTime;
    // 平均呼时长
    private double avgExsTime;
    // 总吸呼时长比.
    private double totalRtoOfIns2Exs;
    // 平均呼吸时长比
    private double avgRtoOfIns2Exs;
    // 平均呼吸频率
    private double avgBrthFreq;
    // 总幅度
    private double totalBrthAmp;
    // 平均呼吸幅度
    private double avgBrthAmp;

    public long getBreathSN() {
        return breathSN;
    }

    public void setBreathSN(long breathSN) {
        this.breathSN = breathSN;
    }

    public long getPreTroughIndex() {
        return preTroughIndex;
    }

    public void setPreTroughIndex(long preTroughIndex) {
        this.preTroughIndex = preTroughIndex;
    }

    public long getPeakIndex() {
        return peakIndex;
    }

    public void setPeakIndex(long peakIndex) {
        this.peakIndex = peakIndex;
    }

    public long getPostTroughIndex() {
        return postTroughIndex;
    }

    public void setPostTroughIndex(long postTroughIndex) {
        this.postTroughIndex = postTroughIndex;
    }

    public double getInspiratoryTime() {
        return inspiratoryTime;
    }

    public void setInspiratoryTime(double inspiratoryTime) {
        this.inspiratoryTime = inspiratoryTime;
    }

    public double getExspiratoryTime() {
        return exspiratoryTime;
    }

    public void setExspiratoryTime(double exspiratoryTime) {
        this.exspiratoryTime = exspiratoryTime;
    }

    public double getRtoOfIns2Exs() {
        return rtoOfIns2Exs;
    }

    public void setRtoOfIns2Exs(double rtoOfIns2Exs) {
        this.rtoOfIns2Exs = rtoOfIns2Exs;
    }

    public double getBrthTime() {
        return brthTime;
    }

    public void setBrthTime(double brthTime) {
        this.brthTime = brthTime;
    }

    public double getAmplitude() {
        return amplitude;
    }

    public void setAmplitude(double amplitude) {
        this.amplitude = amplitude;
    }

    public double getInstantFreq() {
        return instantFreq;
    }

    public void setInstantFreq(double instantFreq) {
        this.instantFreq = instantFreq;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getSpanTime() {
        return spanTime;
    }

    public void setSpanTime(Date spanTime) {
        this.spanTime = spanTime;
    }

    public double[] getPerDataBuf() {
        return perDataBuf;
    }

    public void setPerDataBuf(double[] perDataBuf) {
        this.perDataBuf = perDataBuf;
    }

    public int[] getPostureBuf() {
        return postureBuf;
    }

    public void setPostureBuf(int[] postureBuf) {
        this.postureBuf = postureBuf;
    }

    public double[] getAccX() {
        return accX;
    }

    public void setAccX(double[] accX) {
        this.accX = accX;
    }

    public double[] getAccY() {
        return accY;
    }

    public void setAccY(double[] accY) {
        this.accY = accY;
    }

    public double[] getAccZ() {
        return accZ;
    }

    public void setAccZ(double[] accZ) {
        this.accZ = accZ;
    }

    public long getTotalBrthCnt() {
        return totalBrthCnt;
    }

    public void setTotalBrthCnt(long totalBrthCnt) {
        this.totalBrthCnt = totalBrthCnt;
    }

    public double getTotalBrthTime() {
        return totalBrthTime;
    }

    public void setTotalBrthTime(double totalBrthTime) {
        this.totalBrthTime = totalBrthTime;
    }

    public double getAvgBrthTime() {
        return avgBrthTime;
    }

    public void setAvgBrthTime(double avgBrthTime) {
        this.avgBrthTime = avgBrthTime;
    }

    public double getTotalInsTime() {
        return totalInsTime;
    }

    public void setTotalInsTime(double totalInsTime) {
        this.totalInsTime = totalInsTime;
    }

    public double getAvgInsTime() {
        return avgInsTime;
    }

    public void setAvgInsTime(double avgInsTime) {
        this.avgInsTime = avgInsTime;
    }

    public double getTotalExsTime() {
        return totalExsTime;
    }

    public void setTotalExsTime(double totalExsTime) {
        this.totalExsTime = totalExsTime;
    }

    public double getAvgExsTime() {
        return avgExsTime;
    }

    public void setAvgExsTime(double avgExsTime) {
        this.avgExsTime = avgExsTime;
    }

    public double getTotalRtoOfIns2Exs() {
        return totalRtoOfIns2Exs;
    }

    public void setTotalRtoOfIns2Exs(double totalRtoOfIns2Exs) {
        this.totalRtoOfIns2Exs = totalRtoOfIns2Exs;
    }

    public double getAvgRtoOfIns2Exs() {
        return avgRtoOfIns2Exs;
    }

    public void setAvgRtoOfIns2Exs(double avgRtoOfIns2Exs) {
        this.avgRtoOfIns2Exs = avgRtoOfIns2Exs;
    }

    public double getAvgBrthFreq() {
        return avgBrthFreq;
    }

    public void setAvgBrthFreq(double avgBrthFreq) {
        this.avgBrthFreq = avgBrthFreq;
    }

    public double getTotalBrthAmp() {
        return totalBrthAmp;
    }

    public void setTotalBrthAmp(double totalBrthAmp) {
        this.totalBrthAmp = totalBrthAmp;
    }

    public double getAvgBrthAmp() {
        return avgBrthAmp;
    }

    public void setAvgBrthAmp(double avgBrthAmp) {
        this.avgBrthAmp = avgBrthAmp;
    }
}
