package hk.advanpro.android.sdk.device.result.ble.insole;

import java.util.ArrayList;
import java.util.List;

import hk.advanpro.android.sdk.device.result.DeviceEventResult;

/**
 * Created by jalin on 2017/9/18.
 */

public class BLEInsoleCollectDataEventResult implements DeviceEventResult {

    private List<CollectData> datas = new ArrayList<>();

    public List<CollectData> getDatas() {
        return datas;
    }

    public void setDatas(List<CollectData> datas) {
        this.datas = datas;
    }

    public static class CollectData {
        private int gait;
        private double accX;//X轴重力加速度，单位mG
        private double accY;//Y轴重力加速度，单位mG
        private double accZ;//Z轴重力加速度，单位mG

        public boolean isTouchA() {
            return ((gait >> 3) & 0B1) == 1;
        }

        public boolean isTouchB() {
            return ((gait >> 2) & 0B1) == 1;
        }

        public boolean isTouchC() {
            return ((gait >> 1) & 0B1) == 1;
        }

        public boolean isTouchD() {
            return (gait & 0B1) == 1;
        }


        public int getGait() {
            return gait;
        }

        public void setGait(int gait) {
            this.gait = gait;
        }

        public double getAccX() {
            return accX;
        }

        public void setAccX(double accX) {
            this.accX = accX;
        }

        public double getAccY() {
            return accY;
        }

        public void setAccY(double accY) {
            this.accY = accY;
        }

        public double getAccZ() {
            return accZ;
        }

        public void setAccZ(double accZ) {
            this.accZ = accZ;
        }
    }
}
