package hk.advanpro.android.sdk.device.result.ble.insole;

import hk.advanpro.android.sdk.device.result.DeviceCommandResult;

/**
 * Created by yejianfei on 2017/6/13.
 */

public class BLEInsoleCollectStartOrStopCommandResult implements DeviceCommandResult {

    private boolean isSuccess;

    private int errorCode;

    public BLEInsoleCollectStartOrStopCommandResult(boolean isSuccess, int errorCode) {
        this.isSuccess = isSuccess;
        this.errorCode = errorCode;
    }

    /**
     * 是否开启或关闭成功
     *
     * @return true 成功
     */
    public boolean isSuccess() {
        return isSuccess;
    }

    /**
     * 失败原因
     * 3（失败：重复启动或关闭）
     * 2（失败：采样率无效）
     * 1（失败:其他原因）
     * 0（默认成功）
     *
     * @return int
     */
    public int getErrorCode() {
        return errorCode;
    }

}
