package hk.advanpro.android.sdk.device.result.ble.insole;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

import hk.advanpro.android.sdk.device.result.DeviceCommandResult;

/**
 * Created by yejianfei on 2017/6/12.
 */

public class BLEInsoleRawGaitCommandResult implements DeviceCommandResult {

    private short month;

    private short day;

    private int length;

    private List<BLEInsoleRawGaitSection> sections = new ArrayList<>();

    public short getMonth() {
        return month;
    }

    public void setMonth(short month) {
        this.month = month;
    }

    public short getDay() {
        return day;
    }

    public void setDay(short day) {
        this.day = day;
    }

    public int getLength() {
        return length;
    }

    public void setLength(int length) {
        this.length = length;
    }

    public List<BLEInsoleRawGaitSection> getSections() {
        return sections;
    }

    public void setSections(List<BLEInsoleRawGaitSection> sections) {
        this.sections = sections;
    }

    public Date getDate() {
        Calendar calendar = Calendar.getInstance();
        calendar.set(Calendar.MONTH, getMonth() - 1);
        calendar.set(Calendar.DATE, getDay());
        calendar.set(Calendar.HOUR_OF_DAY, 0);
        calendar.set(Calendar.MINUTE, 0);
        calendar.set(Calendar.SECOND, 0);
        calendar.set(Calendar.MILLISECOND, 0);

        return calendar.getTime();
    }

    public static class BLEInsoleRawGaitSection {

        /**
         * 段号1~96
         **/
        private short section;
        /**
         * 时间偏移，分钟 0~4
         **/
        private short minute;
        /**
         * 着地状态 0~15
         **/
        private short gait;
        /**
         * 步态类型 0:走路 1跑步
         **/
        private short type;
        /**
         * 冲击力等级
         **/
        private short impact;
        /**
         * 着地方式：0全掌 1前掌 2脚跟 3无效
         **/
        private short touchdown;
        /**
         * 足内旋: 0正常 1外翻 2内翻 3无效
         **/
        private short footType;

        public short getSection() {
            return section;
        }

        public void setSection(short section) {
            this.section = section;
        }

        public short getMinute() {
            return minute;
        }

        public void setMinute(short minute) {
            this.minute = minute;
        }

        public short getGait() {
            return gait;
        }

        public void setGait(short gait) {
            this.gait = gait;
        }

        public short getType() {
            return type;
        }

        public void setType(short type) {
            this.type = type;
        }

        public short getImpact() {
            return impact;
        }

        public void setImpact(short impact) {
            this.impact = impact;
        }

        public short getTouchdown() {
            return touchdown;
        }

        public void setTouchdown(short touchdown) {
            this.touchdown = touchdown;
        }

        public short getFootType() {
            return footType;
        }

        public void setFootType(short footType) {
            this.footType = footType;
        }
    }
}
