package hk.advanpro.android.sdk.device.result.ble.insole;

import java.util.Calendar;
import java.util.Date;

import hk.advanpro.android.sdk.device.result.DeviceEventResult;

/**
 * Created by yejianfei on 2017/6/9.
 */
public class BLEInsoleRealGaitEventResult implements DeviceEventResult {

    private boolean touchA;

    private boolean touchB;

    private boolean touchC;

    private boolean touchD;

    private short impact;

    private short forefoot;

    private short sole;

    private short heel;

    private short varus;

    private short ectropion;

    private short year;

    private short month;

    private short day;

    public boolean getTouchA() {
        return touchA;
    }

    public void setTouchA(boolean touchA) {
        this.touchA = touchA;
    }

    public boolean getTouchB() {
        return touchB;
    }

    public void setTouchB(boolean touchB) {
        this.touchB = touchB;
    }

    public boolean getTouchC() {
        return touchC;
    }

    public void setTouchC(boolean touchC) {
        this.touchC = touchC;
    }

    public boolean getTouchD() {
        return touchD;
    }

    public void setTouchD(boolean touchD) {
        this.touchD = touchD;
    }

    public short getImpact() {
        return impact;
    }

    public void setImpact(short impact) {
        this.impact = impact;
    }

    /**
     * 前脚掌着地次数
     *
     * @return 前脚掌着地次数
     */
    public short getForefoot() {
        return forefoot;
    }

    public void setForefoot(short forefoot) {
        this.forefoot = forefoot;
    }

    /**
     * 全脚着地次数
     *
     * @return 全脚着地次数
     */
    public short getSole() {
        return sole;
    }

    public void setSole(short sole) {
        this.sole = sole;
    }

    /**
     * 后脚跟着地次数
     *
     * @return 后脚跟着地次数
     */
    public short getHeel() {
        return heel;
    }

    public void setHeel(short heel) {
        this.heel = heel;
    }

    /**
     * 内翻次数
     *
     * @return 内翻次数
     */
    public short getVarus() {
        return varus;
    }

    public void setVarus(short varus) {
        this.varus = varus;
    }

    /**
     * 外翻次数
     * Deprecated ,请所使用getEversion()
     * @return 外翻次数
     */
    @Deprecated
    public short getEversion() {
        return ectropion;
    }

    /**
     * 外翻次数
     *
     * @return 外翻次数
     */
    public short getEctropion() {
        return ectropion;
    }

    public void setEctropion(short ectropion) {
        this.ectropion = ectropion;
    }

    public short getYear() {
        return year;
    }

    public void setYear(short year) {
        this.year = year;
    }

    public short getMonth() {
        return month;
    }

    public void setMonth(short month) {
        this.month = month;
    }

    public short getDay() {
        return day;
    }

    public void setDay(short day) {
        this.day = day;
    }

    public Date getDate() {
        Calendar calendar = Calendar.getInstance();
        calendar.set(Calendar.YEAR, getYear());
        calendar.set(Calendar.MONTH, getMonth() - 1);
        calendar.set(Calendar.DATE, getDay());
        calendar.set(Calendar.HOUR_OF_DAY, 0);
        calendar.set(Calendar.MINUTE, 0);
        calendar.set(Calendar.SECOND, 0);
        calendar.set(Calendar.MILLISECOND, 0);

        return calendar.getTime();
    }
}
