package hk.advanpro.android.sdk.device.result.ble.insole;

import java.util.Calendar;
import java.util.Date;

import hk.advanpro.android.sdk.device.result.DeviceEventResult;

/**
 * 鞋垫实时步数事件回调结果
 * Created by yejianfei on 2017/6/9.
 */

public class BLEInsoleRealStepEventResult implements DeviceEventResult {

    private short status;

    private short year;

    private short month;

    private short day;

    private int walkStep;

    private int runStep;

    private int walkDuration;

    private int runDuration;

    private int gait;

    private int isRun;

    private int impact;

    private int touchdown;

    private int footType;

    private int stepDur;

    public short getStatus() {
        return status;
    }

    public void setStatus(short status) {
        this.status = status;
    }

    public short getYear() {
        return year;
    }

    public void setYear(short year) {
        this.year = year;
    }

    public short getMonth() {
        return month;
    }

    public void setMonth(short month) {
        this.month = month;
    }

    public short getDay() {
        return day;
    }

    public void setDay(short day) {
        this.day = day;
    }

    /**
     * 走步数
     *
     * @return 走步数
     */
    public int getWalkStep() {
        return walkStep;
    }

    public void setWalkStep(int walkStep) {
        this.walkStep = walkStep;
    }

    /**
     * 跑步数
     *
     * @return 跑步数
     */
    public int getRunStep() {
        return runStep;
    }

    public void setRunStep(int runStep) {
        this.runStep = runStep;
    }

    /**
     * 走步时长 单位秒
     *
     * @return 走步时长 单位秒
     */
    public int getWalkDuration() {
        return walkDuration;
    }

    public void setWalkDuration(int walkDuration) {
        this.walkDuration = walkDuration;
    }

    /**
     * 跑步时长 单位秒
     *
     * @return 跑步时长 单位秒
     */
    public int getRunDuration() {
        return runDuration;
    }

    public void setRunDuration(int runDuration) {
        this.runDuration = runDuration;
    }

    /**
     * 着地状态 0~15
     *
     * @return 着地状态 0~15
     **/
    public int getGait() {
        return gait;
    }

    public void setGait(int gait) {
        this.gait = gait;
    }

    /**
     * 步态类型 0:走路 1跑步
     *
     * @return 步态类型 0:走路 1跑步
     **/
    public int getIsRun() {
        return isRun;
    }

    public void setIsRun(int isRun) {
        this.isRun = isRun;
    }

    /**
     * 冲击力等级
     *
     * @return 冲击力等级
     **/
    public int getImpact() {
        return impact;
    }

    public void setImpact(int impact) {
        this.impact = impact;
    }

    /**
     * 着地方式：0全掌 1前掌 2脚跟 3无效
     *
     * @return 着地方式：0全掌 1前掌 2脚跟 3无效
     **/
    public int getTouchdown() {
        return touchdown;
    }

    public void setTouchdown(int touchdown) {
        this.touchdown = touchdown;
    }

    /**
     * 足内旋: 0正常 1外翻 2内翻 3无效
     *
     * @return 足内旋: 0正常 1外翻 2内翻 3无效
     **/
    public int getFootType() {
        return footType;
    }

    public void setFootType(int footType) {
        this.footType = footType;
    }

    /**
     * 步长，精确到ms
     *
     * @return 步长，精确到ms
     */
    public int getStepDur() {
        return stepDur;
    }

    public void setStepDur(int stepDur) {
        this.stepDur = stepDur;
    }

    public Date getDate() {
        Calendar calendar = Calendar.getInstance();
        calendar.set(Calendar.YEAR, getYear());
        calendar.set(Calendar.MONTH, getMonth() - 1);
        calendar.set(Calendar.DATE, getDay());
        calendar.set(Calendar.HOUR_OF_DAY, 0);
        calendar.set(Calendar.MINUTE, 0);
        calendar.set(Calendar.SECOND, 0);
        calendar.set(Calendar.MILLISECOND, 0);

        return calendar.getTime();
    }

    public boolean isTouchA() {
        return 1 == ((gait >> 3) & 0x01);
    }


    public boolean isTouchB() {
        return 1 == ((gait >> 2) & 0x01);
    }

    public boolean isTouchC() {
        return 1 == ((gait >> 1) & 0x01);
    }


    public boolean isTouchD() {
        return 1 == (gait & 0x01);
    }

}
