package hk.advanpro.android.sdk.device.result.ble.pi;

import org.apache.commons.lang3.ArrayUtils;
import org.apache.commons.lang3.StringUtils;

import hk.advanpro.android.sdk.device.result.DeviceCommandResult;

/**
 * Created by yejianfei on 2017/7/5.
 */

public class BLEAdvanproPiCommandResult implements DeviceCommandResult {

    private String key;

    private short number;

    private int code;

    private String val;

    private String[] heads;

    private String[] vals;

    public BLEAdvanproPiCommandResult() {
    }

    public boolean isSuccess() {
        return code == 0;
    }

    public BLEAdvanproPiCommandResult(String key, short number) {
        this.key = key;
        this.number = number;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public short getNumber() {
        return number;
    }

    public void setNumber(short number) {
        this.number = number;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getVal() {
        return val;
    }

    public void setVal(String val) {
        this.val = val;
    }

    public String[] getHeads() {
        return heads;
    }

    public void setHeads(String[] heads) {
        this.heads = heads;
    }

    public String[] getVals() {
        if (vals == null && val != null) {
            return new String[]{val};
        }
        return vals;
    }

    public void setVals(String[] vals) {
        this.vals = vals;
    }

    public String get(String head) {
        if (head == null)
            return null;
        if (heads == null)
            return null;
        int index = ArrayUtils.indexOf(heads, head);
        return index >= 0 && vals != null && vals.length > index ? vals[index] : null;
    }

    @Override
    public String toString() {
        StringBuilder stringBuilder = new StringBuilder();
        if (StringUtils.isNoneEmpty(heads))
            stringBuilder.append(String.format("[%d]heads\t%s\n", number, StringUtils.join(heads, "\t")));
        if (StringUtils.isNoneEmpty(vals))
            stringBuilder.append(String.format("[%d]vals\t%s\n", number, StringUtils.join(vals, "\t")));
        if (StringUtils.isNotEmpty(getVal()))
            stringBuilder.append(String.format("[%d]val\t%s\n", number, getVal()));
        stringBuilder.append(String.format("[%d]result\t%d\n", number, getCode()));
        return stringBuilder.toString();
    }


}
